Fix finding CharLS 2.1.0 and later on case-sensitive filesystems.
https://sourceforge.net/p/gdcm/bugs/505/
--- CMake/FindCharLS.cmake.orig	2021-10-06 14:38:42.000000000 -0500
+++ CMake/FindCharLS.cmake	2022-03-09 05:31:23.000000000 -0600
@@ -6,13 +6,13 @@
 #  For details see the accompanying COPYING-CMAKE-SCRIPTS file.
 #
 
-find_path(CHARLS_INCLUDE_DIR CharLS/charls.h
+find_path(CHARLS_INCLUDE_DIR charls/charls.h
 /usr/local/include
 /usr/include
 )
 
 find_library(CHARLS_LIBRARY
-  NAMES CharLS
+  NAMES charls
   PATHS /usr/lib /usr/local/lib
   )
 
--- CMakeLists.txt.orig	2021-10-06 14:38:42.000000000 -0500
+++ CMakeLists.txt	2022-03-09 06:09:07.000000000 -0600
@@ -356,7 +356,7 @@
 endif()

 if(GDCM_USE_SYSTEM_CHARLS)
-  find_package(CharLS 2.0.0 REQUIRED)
+  find_package(CharLS 2.1.0 REQUIRED)
   set(GDCM_CHARLS_LIBRARIES ${CHARLS_LIBRARIES})
 else()
   set(GDCM_CHARLS_LIBRARIES gdcmcharls)
--- Utilities/gdcm_charls.h.orig	2021-10-06 14:38:42.000000000 -0500
+++ Utilities/gdcm_charls.h	2022-03-09 06:06:14.000000000 -0600
@@ -17,8 +17,8 @@
 /* Use the charls library configured for gdcm.  */
 #include "gdcmTypes.h"
 #ifdef GDCM_USE_SYSTEM_CHARLS
-// It is expected that version 2.0.0 is used
-# include <CharLS/charls.h>
+// It is expected that version 2.1.0 or later is used
+# include <charls/charls.h>
 #else
 #include "gdcmcharls/charls.h"
 #endif
